Subject: new IPC on NT
From: [email-masked] (Philippe Chapuy)

13 Jun 1997 02:26:06 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: multipart/mixed; boundary="mime-boundary-iaanaaabeg-0032831C"
Original-To: [email-masked] (Cygnus gnuwin32)
X-mailer: Connect2-SMTP 4.00 MHS to SMTP Gateway
Original-Sender: [email-masked]

  This is the preamble of a multipart MIME formatted message.
  If you are reading this text your mail system is most likely
  not capable of properly decoding MIME messages.  To extract
  the contents of this message, save it to a file and then use
  an external MIME decoding utility.

--mime-boundary-iaanaaabeg-0032831C
Content-type: text/plain; charset="ISO-8859-1"
Content-transfer-encoding: 7BIT

Hi,

For my project, I needed a IPC UNIX layer, so, as there is no such things in
b18, I wrote one.

if you're interested in, I attach the tar sources.

once compile, you'll have 5 commands:

ipcd : start the ipc daemon manager
ipcrm : like UNIX ipcrm
ipcs : like UNIX ipcs
ipck : shell script to kill all ipc
montest : little test program

and a library:

Ipc.a

which has "almost" all the UNIX features.

NB/ Don't forget to include "IpcNtExt.h" in yout source file to use the library.

I wrote this library from LINUX KERNEL sources. Many thank's to Krishna
Balasubramanian....

So, if you use it and point out some bugs (there are certainly a lot) and fix
them, i am interested in knowing them.

Enjoy.

All the best,

Phil.

PS/ In case of bugs in the library, you have to kill the blocked processes with
the task manager.
The ipc daemon "ipcd" must also be killed for the moment with the task manager.

--mime-boundary-iaanaaabeg-0032831C
Content-type: application/octet-stream; name="IPCTAR~1.GZ"
Content-transfer-encoding: BASE64

--mime-boundary-iaanaaabeg-0032831C--
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".